#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    char c[2];
    string rez;
    int a1,a2;
    cin >> c;
    cin >> a1 >> a2;

    if(abs(a1-a2) <= 1 && c[0] != c[1]) {
        if(a1 == a2) {
            for(int i = 0; i < a1; ++i) {
                rez += c[0];
                rez += c[1];
            }
        }
        else {
            if(a1 > a2) {
                rez += c[0];
                for(int i = 0; i < a2; ++i) {
                    rez += c[1];
                    rez += c[0];
                }
            }
            else if(a2 > a1) {
                rez += c[1];
                for(int i = 0; i < a1; ++i) {
                    rez += c[0];
                    rez += c[1];
                }
            }
        }
        cout << rez;
    } else {
        cout << "nemoguce";
    }

    return 0;
}